%global namedreltag .RELEASE
%global namedversion %{version}%{?namedreltag}
%global oname spring-plugin
Name:          springframework-plugin
Version:       1.1.0
Release:       2%{?dist}
Summary:       Simple plugin infrastructure
License:       ASL 2.0
URL:           https://github.com/SpringSource/spring-plugin
Source0:       https://github.com/spring-projects/spring-plugin/archive/%{namedversion}.tar.gz
# https://github.com/spring-projects/spring-plugin/issues/12
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.springframework:spring-aop)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-test)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: maven-local
BuildArch:     noarch

%description
Spring Plugin provides a more pragmatic approach to plugin
development by providing the core flexibility of having
plugin implementations extending a core system's functionality
but of course not delivering core OSGi features like dynamic
class loading or run-time installation and deployment of plugins.
Although Spring Plugin thus is not nearly as powerful as OSGi,
it servers poor man's requirements to build a modular extensible
application.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{namedversion}

%pom_remove_plugin :com.springsource.bundlor.maven
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

for p in core metadata; do
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>" ${p}
done

%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Vendor>SpringSource, a division of VMware</Bundle-Vendor>
    <Bundle-Version>${project.version}</Bundle-Version>
    <Bundle-RequiredExecutionEnvironment>J2SE-1.6</Bundle-RequiredExecutionEnvironment>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%mvn_file :%{oname}-core %{oname}-core
%mvn_file :%{oname}-metadata %{oname}-metadata

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.markdown

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Jan 28 2015 gil cattaneo <puntogil@libero.it> 1.1.0-2
- add license file

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 1.1.0-1
- 1.1.0.RELEASE

* Wed Dec 11 2013 gil cattaneo <puntogil@libero.it> 0.8.0-1
- initial rpm
